/**
  *  \file client/tiles/vishull.h
  *  \brief Visual Scanner: Hull Information Tile
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_VISHULL_H
#define PCC_V2_CLIENT_TILES_VISHULL_H

#include "client/wtile.h"
#include "game/objtypes.h"

class WVisualScanHullInfoTile : public WObjectSelectionObserverTile {
 public:
    WVisualScanHullInfoTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);
};

#endif
